ros-jazzy-controller-interface (4.32.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Jun 2025 23:00:00 -0000

ros-jazzy-controller-interface (4.31.0-1noble) noble; urgency=high

  * Use target_link_libraries instead of ament_target_dependencies (#2266 <https://github.com/ros-controls/ros2_control/issues/2266>) (#2271 <https://github.com/ros-controls/ros2_control/issues/2271>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 May 2025 23:00:00 -0000

ros-jazzy-controller-interface (4.30.0-1noble) noble; urgency=high

  * Statically allocate string concatenations using FMT formatting (#2205 <https://github.com/ros-controls/ros2_control/issues/2205>) (#2249 <https://github.com/ros-controls/ros2_control/issues/2249>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 20 May 2025 23:00:00 -0000

ros-jazzy-controller-interface (4.29.0-1noble) noble; urgency=high

  * Add common reusable helper methods header (#2099 <https://github.com/ros-controls/ros2_control/issues/2099>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 May 2025 23:00:00 -0000

ros-jazzy-controller-interface (4.28.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Apr 2025 23:00:00 -0000

ros-jazzy-controller-interface (4.28.0-1noble) noble; urgency=high

  * Make all packages use gmock, not gtest (#2162 <https://github.com/ros-controls/ros2_control/issues/2162>)
  * Fix async controllers deactivation regime (#2017 <https://github.com/ros-controls/ros2_control/issues/2017>)
  * Bump version of pre-commit hooks (#2156 <https://github.com/ros-controls/ros2_control/issues/2156>)
  * Use ros2_control_cmake (#2134 <https://github.com/ros-controls/ros2_control/issues/2134>)
  * [Handle] Add support for booleans in the handles (#2065 <https://github.com/ros-controls/ros2_control/issues/2065>)
  * Improve package descriptions & update maintainers (#2103 <https://github.com/ros-controls/ros2_control/issues/2103>)
  * Contributors: Bence Magyar, Christoph Fröhlich, Sai Kishor Kothakota, Soham Patil, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Apr 2025 23:00:00 -0000

ros-jazzy-controller-interface (4.27.0-1noble) noble; urgency=high

  * [Handle] Use get_optional instead of get_value<double> (#2061 <https://github.com/ros-controls/ros2_control/issues/2061>)
  * Cleanup chainable controller exported interfaces to allow reconfiguring  (#2073 <https://github.com/ros-controls/ros2_control/issues/2073>)
  * Use new get_value API for newly added tests and semantic components (#2055 <https://github.com/ros-controls/ros2_control/issues/2055>)
  * Add new get_value API for Handles and Interfaces (#1976 <https://github.com/ros-controls/ros2_control/issues/1976>)
  * Integrate pal_statistics for introspection of controllers, hardware components and more (#1918 <https://github.com/ros-controls/ros2_control/issues/1918>)
  * [ControllerInterface] Improve the prefix name check for the chainable controllers (#2038 <https://github.com/ros-controls/ros2_control/issues/2038>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 00:00:00 -0000

ros-jazzy-controller-interface (4.26.0-1noble) noble; urgency=high

  * add a semantic command interface to "semantic_components" (#1945 <https://github.com/ros-controls/ros2_control/issues/1945>)
  * Contributors: Thibault Poignonec

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 07 Feb 2025 00:00:00 -0000

ros-jazzy-controller-interface (4.25.0-1noble) noble; urgency=high

  * Use target_compile_definitions instead of installing test files (#2009 <https://github.com/ros-controls/ros2_control/issues/2009>)
  * Add GPS semantic component (#2000 <https://github.com/ros-controls/ros2_control/issues/2000>)
  * Contributors: Sai Kishor Kothakota, Wiktor Bajor

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 00:00:00 -0000

ros-jazzy-controller-interface (4.24.0-1noble) noble; urgency=high

  * Trigger shutdown transition in destructor (#1979 <https://github.com/ros-controls/ros2_control/issues/1979>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-jazzy-controller-interface (4.23.0-1noble) noble; urgency=high

  * Remove boilerplate visibility macros (#1972 <https://github.com/ros-controls/ros2_control/issues/1972>)
  * Semantic components cleanup (#1940 <https://github.com/ros-controls/ros2_control/issues/1940>)
  * Contributors: Bence Magyar, Wiktor Bajor

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Dec 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.22.0-1noble) noble; urgency=high

  * Fixed typo. Added s to state_interfaces_ (#1930 <https://github.com/ros-controls/ros2_control/issues/1930>)
  * [CI] Add clang job, setup concurrency, use rt_tools humble branch (#1910 <https://github.com/ros-controls/ros2_control/issues/1910>)
  * Contributors: Christoph Fröhlich, louietouie

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Dec 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.21.0-1noble) noble; urgency=high

  * [Diagnostics] Add diagnostics of execution time and periodicity of the controllers and controller_manager (#1871 <https://github.com/ros-controls/ros2_control/issues/1871>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Dec 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.20.0-1noble) noble; urgency=high

  * reset the async variables upon activation to work post exceptions (#1860 <https://github.com/ros-controls/ros2_control/issues/1860>)
  * [CM] Fix controller missing update cycles in a real setup (#1774 <https://github.com/ros-controls/ros2_control/issues/1774>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.19.0-1noble) noble; urgency=high

  * [CM] Async Function Handler for Controllers (#1489 <https://github.com/ros-controls/ros2_control/issues/1489>)
  * Check the update_rate set to the controllers to be a valid one (#1788 <https://github.com/ros-controls/ros2_control/issues/1788>)
  * [PR-1689] Follow-up PR of the controller interface variants integration (#1779 <https://github.com/ros-controls/ros2_control/issues/1779>)
  * Add PoseSensor semantic component (#1775 <https://github.com/ros-controls/ros2_control/issues/1775>)
  * [RM/HW] Constify the exported state interfaces using ConstSharedPtr (#1767 <https://github.com/ros-controls/ros2_control/issues/1767>)
  * Contributors: RobertWilbrandt, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Oct 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.18.0-1noble) noble; urgency=high

  * Adapt controller Reference/StateInterfaces to New Way of Exporting (variant support) (#1689 <https://github.com/ros-controls/ros2_control/issues/1689>)
  * [ControllerInterface] Fix to properly propagate the controller NodeOptions (#1762 <https://github.com/ros-controls/ros2_control/issues/1762>)
  * [Controller Interface] Make assign and release interfaces virtual (#1743 <https://github.com/ros-controls/ros2_control/issues/1743>)
  * Contributors: Manuel Muth, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.17.0-1noble) noble; urgency=high

  * Rename get_state and set_state Functions to get/set_lifecylce_state (variant support) (#1683 <https://github.com/ros-controls/ros2_control/issues/1683>)
  * Contributors: Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.16.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Aug 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.16.0-1noble) noble; urgency=high

  * Fix params_file typo in spawner and update release notes for use_global_arguments (#1701 <https://github.com/ros-controls/ros2_control/issues/1701>)
  * Avoid using the global arguments for internal controller nodes (#1694 <https://github.com/ros-controls/ros2_control/issues/1694>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Aug 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.14.0-1noble) noble; urgency=high

  * Unused header cleanup (#1627 <https://github.com/ros-controls/ros2_control/issues/1627>)
  * move critical variables to the private context (#1623 <https://github.com/ros-controls/ros2_control/issues/1623>)
  * Contributors: Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.13.0-1noble) noble; urgency=high

  * [ControllerChaining] Export state interfaces from chainable controllers (#1021 <https://github.com/ros-controls/ros2_control/issues/1021>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jul 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.12.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.11.0-1noble) noble; urgency=high

  * Fix dependencies for source build (#1533 <https://github.com/ros-controls/ros2_control/issues/1533>)
  * Add find_package for ament_cmake_gen_version_h (#1534 <https://github.com/ros-controls/ros2_control/issues/1534>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.10.0-1noble) noble; urgency=high

  * Working async controllers and components [not synchronized] (#1041 <https://github.com/ros-controls/ros2_control/issues/1041>)
  * Contributors: Márk Szitanics

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 May 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.9.0-1noble) noble; urgency=high

  * return the proper const object of the pointer in the const method (#1494 <https://github.com/ros-controls/ros2_control/issues/1494>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 23:00:00 -0000

ros-jazzy-controller-interface (4.8.0-1noble) noble; urgency=high

  * generate version.h file per package using the ament_generate_version_header  (#1449 <https://github.com/ros-controls/ros2_control/issues/1449>)
  * Use ament_cmake generated rclcpp version header (#1448 <https://github.com/ros-controls/ros2_control/issues/1448>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 27 Mar 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.7.0-1noble) noble; urgency=high

  * add missing compiler definitions of RCLCPP_VERSION_MAJOR (#1440 <https://github.com/ros-controls/ros2_control/issues/1440>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.6.0-1noble) noble; urgency=high

  * Add -Werror=missing-braces to compile options (#1423 <https://github.com/ros-controls/ros2_control/issues/1423>)
  * added conditioning to have rolling tags compilable in older versions (#1422 <https://github.com/ros-controls/ros2_control/issues/1422>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Mar 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.5.0-1noble) noble; urgency=high

  * A method to get node options to setup the controller node #api-breaking (#1169 <https://github.com/ros-controls/ros2_control/issues/1169>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.3.0-1noble) noble; urgency=high

  * Issue 695: Changing 'namespace_' variables to 'node_namespace' to make it more explicit (#1239 <https://github.com/ros-controls/ros2_control/issues/1239>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Jan 2024 00:00:00 -0000

ros-jazzy-controller-interface (4.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-jazzy-controller-interface (4.1.0-1noble) noble; urgency=high

  * Add few warning compiler options to error (#1181 <https://github.com/ros-controls/ros2_control/issues/1181>)
  * [ControllerInterface] Avoid warning about conversion from int64_t to unsigned int (#1173 <https://github.com/ros-controls/ros2_control/issues/1173>)
  * Contributors: Dr. Denis, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Nov 2023 00:00:00 -0000

ros-jazzy-controller-interface (4.0.0-1noble) noble; urgency=high

  * Pass controller manager update rate on the init of the controller interface  (#1141 <https://github.com/ros-controls/ros2_control/issues/1141>)
  * Pass URDF to controllers on init (#1088 <https://github.com/ros-controls/ros2_control/issues/1088>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.21.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.20.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.19.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Oct 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.19.0-1noble) noble; urgency=high

  * Enable services for setting the log-level in controller per default (#1102 <https://github.com/ros-controls/ros2_control/issues/1102>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.18.0-1noble) noble; urgency=high

  * add a broadcaster for range sensor (#1091 <https://github.com/ros-controls/ros2_control/issues/1091>)
  * Contributors: flochre

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.17.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.14.0-1noble) noble; urgency=high

  * Add -Wconversion flag to protect future developments (#1053 <https://github.com/ros-controls/ros2_control/issues/1053>)
  * enable ReflowComments to also use ColumnLimit on comments (#1037 <https://github.com/ros-controls/ros2_control/issues/1037>)
  * Contributors: Sai Kishor Kothakota, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 May 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.12.2-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.12.1-1noble) noble; urgency=high

  * Add missing build_export_depends to controller_interface (#989 <https://github.com/ros-controls/ros2_control/issues/989>)
  * Contributors: Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.12.0-1noble) noble; urgency=high

  * [Controller Interface] Add time and period paramters to update_reference_from_subscribers() (#846 <https://github.com/ros-controls/ros2_control/issues/846>) #API-break
  * Contributors: Robotgir, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-jazzy-controller-interface (3.11.0-1noble) noble; urgency=high

  * [ControllerManager] Add Class for Async Controllers and Lifecycle Management (#932 <https://github.com/ros-controls/ros2_control/issues/932>)
  * Contributors: Márk Szitanics

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.10.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Mar 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.9.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.9.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.8.0-1noble) noble; urgency=high

  * Fix CMake install so overriding works (#926 <https://github.com/ros-controls/ros2_control/issues/926>)
  * Async params (#927 <https://github.com/ros-controls/ros2_control/issues/927>)
  * Contributors: Márk Szitanics, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.6.0-1noble) noble; urgency=high

  * Update imu_sensor.hpp (#893 <https://github.com/ros-controls/ros2_control/issues/893>)
    Covariances values should come from the IMU_Broadcaster, like the frame_id or the time
  * Contributors: flochre

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.5.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-jazzy-controller-interface (3.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-jazzy-controller-interface (3.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-jazzy-controller-interface (3.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Nov 2022 00:00:00 -0000

ros-jazzy-controller-interface (3.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Oct 2022 23:00:00 -0000

ros-jazzy-controller-interface (3.1.0-1noble) noble; urgency=high

  * Add docs in export interface configurations for controllers. (#804 <https://github.com/ros-controls/ros2_control/issues/804>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-jazzy-controller-interface (3.0.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.15.0-1noble) noble; urgency=high

  * Remove autodeclare of parameters for controllers. (#757 <https://github.com/ros-controls/ros2_control/issues/757>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.14.0-1noble) noble; urgency=high

  * Add doxygen comments (#777 <https://github.com/ros-controls/ros2_control/issues/777>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.12.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.12.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.11.0-1noble) noble; urgency=high

  * [Interfaces] Improved ```get_name()``` method of hardware interfaces (soft) #api-breaking (#737 <https://github.com/ros-controls/ros2_control/issues/737>)
  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Full functionality of chainable controllers in controller manager (#667 <https://github.com/ros-controls/ros2_control/issues/667>)
    * auto-switching of chained mode in controllers
    * interface-matching approach for managing chaining controllers
  * Contributors: Bence Magyar, Denis Štogl, Lucas Schulze

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.10.0-1noble) noble; urgency=high

  * CMakeLists cleanup (#733 <https://github.com/ros-controls/ros2_control/issues/733>)
  * Update to clang format 12 (#731 <https://github.com/ros-controls/ros2_control/issues/731>)
  * Make interface_list_contains_interface_type inline (#721 <https://github.com/ros-controls/ros2_control/issues/721>)
  * Contributors: Andy Zelenak, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.9.0-1noble) noble; urgency=high

  * Adding base class for chained controllers: ChainedControllersInterface (#663 <https://github.com/ros-controls/ros2_control/issues/663>)
    * Extending ControllerInterface with methods for chainable controllers.
    * Switching to chained_mode is only forbidden if controller is active.
    * Default implementation for 'on_set_chained_mode' method.
    * Use two internal methods instead of 'update' directly on chained controllers.
  * Add ControllerInterfaceBase class with methods for chainable controller (#717 <https://github.com/ros-controls/ros2_control/issues/717>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 18 May 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.7.0-1noble) noble; urgency=high

  * Make node private in ControllerInterface (#699 <https://github.com/ros-controls/ros2_control/issues/699>)
  * Contributors: Jack Center

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.6.0-1noble) noble; urgency=high

  * Add CallbackReturn into controller_interface namespace for simpler usage in controllers. (#701 <https://github.com/ros-controls/ros2_control/issues/701>)
  * Enable namespaces for controllers. (#693 <https://github.com/ros-controls/ros2_control/issues/693>)
  * Add tests for ControllerInterface class and clarify use of 'update_rate' parameter. (#662 <https://github.com/ros-controls/ros2_control/issues/662>)
    #behaviorchange
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Apr 2022 23:00:00 -0000

ros-jazzy-controller-interface (2.5.0-1noble) noble; urgency=high

  * Use lifecycle nodes in controllers again (#538 <https://github.com/ros-controls/ros2_control/issues/538>)
    * Add lifecycle nodes
    * Add custom 'configure' to controller interface to get 'update_rate' parameter.
    * Disable external interfaces of LifecycleNode.
  * Cleaning Controller Interface from obsolete code. (#655 <https://github.com/ros-controls/ros2_control/issues/655>)
  * Contributors: Denis Štogl, Vatan Aksoy Tezer, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-jazzy-controller-interface (2.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-jazzy-controller-interface (2.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Feb 2022 00:00:00 -0000

ros-jazzy-controller-interface (2.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Jan 2022 00:00:00 -0000

ros-jazzy-controller-interface (2.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-jazzy-controller-interface (2.0.0-1noble) noble; urgency=high

  * fix get_update_rate visibility in windows (#586 <https://github.com/ros-controls/ros2_control/issues/586>)
  * Use lifecycle name constants from hardware interface in controller interface (#575 <https://github.com/ros-controls/ros2_control/issues/575>)
    * Use lifecycle name constants from hardware interface in controller interface
    * Remove controller_state_names.hpp since it is not needed.
  * Contributors: Melvin Wang, Xi-Huang

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-jazzy-controller-interface (1.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-jazzy-controller-interface (1.1.0-1noble) noble; urgency=high

  * Quick fix 🏎: make doc on helpers clearer (#553 <https://github.com/ros-controls/ros2_control/issues/553>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-jazzy-controller-interface (1.0.0-1noble) noble; urgency=high

  * Per controller update rate (#513 <https://github.com/ros-controls/ros2_control/issues/513>)
    * add update_rate member field to controller manager
  * added dt to controller interface and controller manager #438 <https://github.com/ros-controls/ros2_control/issues/438> (#520 <https://github.com/ros-controls/ros2_control/issues/520>)
  * Methods controlling the lifecycle of controllers all have on_ prefix
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * rename get_current_state() to get_state() (#512 <https://github.com/ros-controls/ros2_control/issues/512>)
  * Contributors: Bence Magyar, Denis Štogl, Dmitri Ignakov, Márk Szitanics, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.8.0-1noble) noble; urgency=high

  * Automatic parameter declaration - enable existence of undeclared parameters from overrides (#504 <https://github.com/ros-controls/ros2_control/issues/504>)
  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
  * Correct obviously wrong call in controller interface. (#460 <https://github.com/ros-controls/ros2_control/issues/460>)
  * virtual destructors for semantic components (#455 <https://github.com/ros-controls/ros2_control/issues/455>)
  * Contributors: Denis Štogl, Karsten Knese, Lovro Ivanov, Simon Honigmann

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Aug 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.7.1-1noble) noble; urgency=high

  * Remove forgoten debug output (#439 <https://github.com/ros-controls/ros2_control/issues/439>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jun 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.7.0-1noble) noble; urgency=high

  * Add imu_sensor semantic component (#429 <https://github.com/ros-controls/ros2_control/issues/429>)
  * Fix osx warnings (#428 <https://github.com/ros-controls/ros2_control/issues/428>)
  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Jun 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.6.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 May 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.6.0-1noble) noble; urgency=high

  * Added labels for controller states. (#414 <https://github.com/ros-controls/ros2_control/issues/414>)
  * prevent variable-sized object initialization (#411 <https://github.com/ros-controls/ros2_control/issues/411>)
  * Contributors: Denis Štogl, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.5.0-1noble) noble; urgency=high

  * Add NodeOptions parameter to init function of controller_interface (#382 <https://github.com/ros-controls/ros2_control/issues/382>)
  * guard around pragmas (#397 <https://github.com/ros-controls/ros2_control/issues/397>)
  * avoid deprecations (#393 <https://github.com/ros-controls/ros2_control/issues/393>)
  * Contributors: Auguste Bourgois, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.4.0-1noble) noble; urgency=high

  * Replace controller_interface return type SUCCESS by OK and mark SUCCESS as deprecated (#374 <https://github.com/ros-controls/ros2_control/issues/374>)
  * Contributors: Mateus Amarante

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Apr 2021 23:00:00 -0000

ros-jazzy-controller-interface (0.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Mar 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.2.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Mar 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 26 Feb 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.1.6-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Feb 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.1.5-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Feb 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.1.4-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Feb 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.1.3-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Jan 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.1.2-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-jazzy-controller-interface (0.1.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000

ros-jazzy-controller-interface (0.1.0-1noble) noble; urgency=high

  * Don't auto-declare override parameters and fix some prints (#276 <https://github.com/ros-controls/ros2_control/issues/276>)
  * Add configure controller service (#272 <https://github.com/ros-controls/ros2_control/issues/272>)
  * get_node() throw if node is uninitialized (#268 <https://github.com/ros-controls/ros2_control/issues/268>)
  * Remove lifecycle node (#261 <https://github.com/ros-controls/ros2_control/issues/261>)
  * Use resource manager (#236 <https://github.com/ros-controls/ros2_control/issues/236>)
  * import controller_interface
  * Contributors: Bence Magyar, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Dec 2020 00:00:00 -0000


